PDF::API2::Resource::CIDFont(3)

NAME
PDF::API2::Resource::CIDFont - Base class for CID fonts

METHODS

$font = PDF::API2::Resource::CIDFont->new $pdf, $name
    Returns a cid-font object. base class form all CID based fonts.

$font = PDF::API2::Resource::CIDFont->new_api $api, $name, %options
    Returns a cid-font object. This method is different from 'new' that it needs an PDF::API2-object rather than a Text::PDF::File-object.

$cidstring = $font->cidsByStr $string
    Returns the cid-string from string based on the fonts encoding map.

$cidstring = $font->cidsByUtf $utf8string
    Returns the cid-encoded string from utf8-string.